import argparse
from pathlib import Path

import ee.tools
from ee.digikey.bom import create_bom

parser = argparse.ArgumentParser()
ee.tools.add_default_argparse_group(parser)

parser.add_argument("--bom",
                    required=True,
                    metavar="PART DB")

parser.add_argument("--out",
                    required=True,
                    metavar="CSV")

parser.add_argument("--part-db",
                    nargs="*",
                    required=True,
                    metavar="PART DB")

parser.add_argument("--allow-incomplete",
                    action="store_true")

parser.add_argument("--quantity", default=1, type=float)

args = parser.parse_args()
ee.tools.process_default_argparse_group(args)

create_bom(Path(args.bom), [Path(p) for p in args.part_db], Path(args.out), args.allow_incomplete, args.quantity)
