import argparse
import uuid
from pathlib import Path

import ee.tools
from ee.kicad.make_bom import make_bom

pretty = True  # we always pretty print the XML

parser = argparse.ArgumentParser(description="Create a bom XML file from a KiCAD schematic")
ee.tools.add_default_argparse_group(parser)

parser.add_argument("--sch",
                    required=True,
                    metavar="SCH",
                    help="The schematic to read")

parser.add_argument("--out",
                    required=True,
                    metavar="PART DB")

parser.add_argument("--strategy",
                    metavar="FUNC")

parser.add_argument("--uuid",
                    required=True,
                    metavar="UUID")

args = parser.parse_args()
ee.tools.process_default_argparse_group(args)

new_mode = True

make_bom(Path(args.sch), Path(args.out), uuid.UUID(args.uuid), new_mode, pretty)
