import argparse
from pathlib import Path

import ee.tools
from ee.part import save_db
from ee.part.excel import from_excel

parser = argparse.ArgumentParser()
ee.tools.add_default_argparse_group(parser)

parser.add_argument("--in",
                    dest="in_path",
                    required=True,
                    metavar="EXCEL")

parser.add_argument("--out",
                    dest="out_path",
                    required=True,
                    metavar="PART DB")

parser.add_argument("--sheet",
                    metavar="NAME")

args = parser.parse_args()
ee.tools.process_default_argparse_group(args)

out_path = Path(args.out_path)
part_db = from_excel(Path(args.in_path), args.sheet)
save_db(out_path, part_db)
