import argparse
from pathlib import Path

import ee.tools
from ee.project import Project
from ee.supplier import seeed

parser = argparse.ArgumentParser()
ee.tools.add_default_argparse_group(parser)

parser.add_argument("--out",
                    required=True,
                    metavar="PART DB")

parser.add_argument("--opl",
                    required=True,
                    metavar="OPL")

args = parser.parse_args()
ee.tools.process_default_argparse_group(args)

project = Project.load()
cache_dir = project.cache_dir / "seeed"

seeed.download_opl(Path(args.out), cache_dir, args.opl)
